Skip to navigation

Update UnitType

Update UnitType.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

unit_type_idstringRequired
ID of the UnitType.

Request

This endpoint expects an object.
archiveReasonstringOptional
archivedbooleanOptional
formulalist of objectsOptional
Formula defining this type in terms of other units.
namestringOptional
The name of this unit type, e.g. "Volume".
overrideIsConcentrationbooleanOptional
When true, forces this UnitType to be treated as a concentration type regardless of its terms. When false, the classification is determined by the UnitType's terms. Mutually exclusive with overrideIsContainerQuantity.
overrideIsContainerQuantitybooleanOptional
When true, forces this UnitType to be treated as a container quantity type regardless of its terms. When false, the classification is determined by the UnitType's terms. Mutually exclusive with overrideIsConcentration.

Response

OK
__typenamestringOptional
archiveReasonstring or nullOptional
archivedbooleanOptional
baseUnitobject or nullOptional
The reference unit. All other units' conversionFactors are relative to this unit. Null for unit types with no units yet.
createdAtstring or nullOptional
formulalist of objects or nullOptional

Defines this unit type in terms of other units for derived types, e.g. Liter = decimeter cubed.

idstringOptional
modifiedAtstring or nullOptional
namestringOptional

The user-facing name, e.g. “Volume” or “Molar Concentration”.

overrideIsConcentrationboolean or nullOptional

When true, forces this UnitType to be treated as a concentration type regardless of its terms. When false, the classification is determined by the UnitType’s terms. Mutually exclusive with overrideIsContainerQuantity.

overrideIsContainerQuantityboolean or nullOptional

When true, forces this UnitType to be treated as a container quantity type regardless of its terms. When false, the classification is determined by the UnitType’s terms. Mutually exclusive with overrideIsConcentration.

termslist of objectsOptional
The dimensional composition of this unit type as a list of SI base dimensions with exponents.
unitsstring or nullOptionalformat: "uri"
All units belonging to this unit type.

Errors

400
Unit Type Update Request Bad Request Error
403
Unit Type Update Request Forbidden Error
404
Unit Type Update Request Not Found Error
409
Unit Type Update Request Conflict Error
429
Unit Type Update Request Too Many Requests Error
500
Unit Type Update Request Internal Server Error